diff --git a/src/libFLAC/fixed.c b/src/libFLAC/fixed.c
index 8c96cc0..28933fa 100644
--- a/src/libFLAC/fixed.c
+++ b/src/libFLAC/fixed.c
@@ -34,6 +34,9 @@
 #  include <config.h>
 #endif
 
+#ifdef _MSC_VER
+#define _USE_MATH_DEFINES
+#endif
 #include <math.h>
 #include <string.h>
 #include "private/bitmath.h"
@@ -42,7 +45,6 @@
 #include "FLAC/assert.h"
 
 #ifndef M_LN2
-/* math.h in VC++ doesn't seem to have this (how Microsoft is that?) */
 #define M_LN2 0.69314718055994530942
 #endif
 
diff --git a/src/libFLAC/lpc.c b/src/libFLAC/lpc.c
index 3dee02e..a94fdf3 100644
--- a/src/libFLAC/lpc.c
+++ b/src/libFLAC/lpc.c
@@ -34,6 +34,9 @@
 #  include <config.h>
 #endif
 
+#ifdef _MSC_VER
+#define _USE_MATH_DEFINES
+#endif
 #include <math.h>
 
 #include "FLAC/assert.h"
@@ -52,7 +55,6 @@
 #ifndef FLAC__INTEGER_ONLY_LIBRARY
 
 #ifndef M_LN2
-/* math.h in VC++ doesn't seem to have this (how Microsoft is that?) */
 #define M_LN2 0.69314718055994530942
 #endif
 
